post
https://sandbox.saner.secpod.com/AncorWebService/perform
Update an existing account's details.
This method allows you to update details of one or more accounts in Saner Server. It requires the name of accounts to be updated and all other details. Organization added via add account api previously will be fetched automatically and used and need not be explicitly mentioned in the request.
To update the account name itself, use the ‘newname’ attribute.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the account to be updated. | Yes | string |
| Email address for the account. If not provided, the current address is kept. | No | string | |
| newname | New account name (used to update the account name itself). | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Account.update(
name="Acc1",
email="[email protected]",
newname="NewAcc1"
)
print(response)
client.close()Requires Python 3.9 or later.